package com.acquisition;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.system.ApplicationHome;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;

import static org.reflections.Reflections.log;

@SpringBootApplication
public class DataAcquisitionApplication {
    public static void main(String[] args) throws UnknownHostException {
        ConfigurableApplicationContext configurableApplicationContext = SpringApplication.run(DataAcquisitionApplication.class, args);

        Environment env = configurableApplicationContext.getEnvironment();
        String ip = InetAddress.getLocalHost().getHostAddress();
        String port = env.getProperty("server.port");
        String path = env.getProperty("server.servlet.context-path");
        ApplicationHome home = new ApplicationHome(DataAcquisitionApplication.class);
        String filePath = home.getSource().getParentFile().getAbsolutePath();

        //        createFolder();

        log.info("\n-------------------------------------------------------------------\n\t" +
                "经济运行系统启动成功，访问路径如下:\n\t" +
                "本地路径: \t\thttp://localhost:" + port + path + "\n\t" +
                "网络地址: \t\thttp://" + ip + ":" + port + path + "\n\t" +
                "API文档: \t\thttp://" + ip + ":" + port + path + "/swagger-ui.html\n" +
                "-----------------------------------------------------------------------");
        log.info(filePath);
        System.out.println("Hello World!");
    }
}
