package com.acquisition.service.auto.impl;

import com.acquisition.config.ExcelImporter;
import com.acquisition.model.auto.DataAcquisition;
import com.acquisition.mapper.auto.DataAcquisitionMapper;
import com.acquisition.service.IDataAcquisitionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wang
 * @since 2025-01-07
 */
@Service
public class DataAcquisitionServiceImpl extends ServiceImpl<DataAcquisitionMapper, DataAcquisition> implements IDataAcquisitionService {
    @Autowired
    private ExcelImporter excelImporter;

    /**
     * 配置总表数据导入
     */
    public void importDataFromExcel() {
        String folderPath = System.getProperty("user.home") + "\\Desktop\\data_acquisition"; // Windows 桌面路径
        try {
            excelImporter.importExcelToDatabase(folderPath);
            System.out.println("数据导入成功！");
        } catch (Exception e) {
            System.err.println("数据导入失败：" + e.getMessage());
        }
    }
}
